import colorString from '../color/colorString';
import hsl from '../color/hsl';

const saturation = (baseColor, key) => {
  if (typeof key !== 'number') return baseColor;
  const base = hsl(baseColor);
  const targetS = Math.min(Math.max(key, 0), 100);
  return colorString(Object.assign(Object.assign({}, base), {
    s: targetS
  }));
};

export default saturation;